> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/resolution.md).

# Resolution

Resolutions

## Resolution Search

> Search Resolutions this user has access to

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"resolution","description":"Resolutions"}],"servers":[{"url":"/api"}],"paths":{"/resolution":{"get":{"tags":["resolution"],"summary":"Resolution Search","description":"Search Resolutions this user has access to","operationId":"resolutionSearch","parameters":[{"name":"resolutionId","in":"query","description":"Filter by Resolution Id","required":false,"schema":{"type":"integer"}},{"name":"resolution","in":"query","description":"Filter by Resolution Name","required":false,"schema":{"type":"string"}},{"name":"useRegexForName","in":"query","description":"Flag (0,1). When filtering by multiple resolutions in resolution filter, should we use regex?","required":false,"schema":{"type":"integer"}},{"name":"logicalOperatorName","in":"query","description":"When filtering by multiple resolutions in resolution filter, which logical operator should be used? AND|OR","required":false,"schema":{"type":"string"}},{"name":"enabled","in":"query","description":"Filter by Enabled","required":false,"schema":{"type":"integer"}},{"name":"width","in":"query","description":"Filter by Resolution width","required":false,"schema":{"type":"integer"}},{"name":"height","in":"query","description":"Filter by Resolution height","required":false,"schema":{"type":"integer"}},{"name":"sortBy","in":"query","description":"Specifies which field the results are sorted by. Used together with sortDir","required":false,"schema":{"type":"string","enum":["resolutionId","resolution","width","height","enabled"]}},{"name":"sortDir","in":"query","description":"Sort direction","required":false,"schema":{"type":"string","enum":["asc","desc"]}}],"responses":{"200":{"description":"successful operation","headers":{"X-Total-Count":{"description":"The total number of records","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Resolution"}}}}}}}}},"components":{"schemas":{"Resolution":{"description":"Class Resolution","properties":{"resolutionId":{"description":"The ID of this Resolution","type":"integer"},"resolution":{"description":"The resolution name","type":"string"},"width":{"description":"The display width of the resolution","type":"number","format":"double"},"height":{"description":"The display height of the resolution","type":"number","format":"double"},"designerWidth":{"description":"The designer width of the resolution","type":"number","format":"double"},"designerHeight":{"description":"The designer height of the resolution","type":"number","format":"double"},"version":{"description":"The layout schema version","type":"integer"},"enabled":{"description":"A flag indicating whether this resolution is enabled or not","type":"integer"},"userId":{"description":"The userId who owns this Resolution","type":"integer"}},"type":"object"}}}}
```

## Add Resolution

> Add new Resolution

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"resolution","description":"Resolutions"}],"servers":[{"url":"/api"}],"paths":{"/resolution":{"post":{"tags":["resolution"],"summary":"Add Resolution","description":"Add new Resolution","operationId":"resolutionAdd","requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["resolution","width","height"],"properties":{"resolution":{"description":"A name for the Resolution","type":"string"},"width":{"description":"The Display Width of the Resolution","type":"integer"},"height":{"description":"The Display Height of the Resolution","type":"integer"}},"type":"object"}}}},"responses":{"201":{"description":"successful operation","headers":{"Location":{"description":"Location of the new record","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resolution"}}}}}}}},"components":{"schemas":{"Resolution":{"description":"Class Resolution","properties":{"resolutionId":{"description":"The ID of this Resolution","type":"integer"},"resolution":{"description":"The resolution name","type":"string"},"width":{"description":"The display width of the resolution","type":"number","format":"double"},"height":{"description":"The display height of the resolution","type":"number","format":"double"},"designerWidth":{"description":"The designer width of the resolution","type":"number","format":"double"},"designerHeight":{"description":"The designer height of the resolution","type":"number","format":"double"},"version":{"description":"The layout schema version","type":"integer"},"enabled":{"description":"A flag indicating whether this resolution is enabled or not","type":"integer"},"userId":{"description":"The userId who owns this Resolution","type":"integer"}},"type":"object"}}}}
```

## Resolution Search by ID

> Get the Resolution object specified by the provided resolutionId

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"resolution","description":"Resolutions"}],"servers":[{"url":"/api"}],"paths":{"/resolution/{resolutionId}":{"get":{"tags":["resolution"],"summary":"Resolution Search by ID","description":"Get the Resolution object specified by the provided resolutionId","operationId":"resolutionSearchById","parameters":[{"name":"resolutionId","in":"path","description":"Numeric ID of the Resolution to get","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resolution"}}}}}}}},"components":{"schemas":{"Resolution":{"description":"Class Resolution","properties":{"resolutionId":{"description":"The ID of this Resolution","type":"integer"},"resolution":{"description":"The resolution name","type":"string"},"width":{"description":"The display width of the resolution","type":"number","format":"double"},"height":{"description":"The display height of the resolution","type":"number","format":"double"},"designerWidth":{"description":"The designer width of the resolution","type":"number","format":"double"},"designerHeight":{"description":"The designer height of the resolution","type":"number","format":"double"},"version":{"description":"The layout schema version","type":"integer"},"enabled":{"description":"A flag indicating whether this resolution is enabled or not","type":"integer"},"userId":{"description":"The userId who owns this Resolution","type":"integer"}},"type":"object"}}}}
```

## Edit Resolution

> Edit new Resolution

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"resolution","description":"Resolutions"}],"servers":[{"url":"/api"}],"paths":{"/resolution/{resolutionId}":{"put":{"tags":["resolution"],"summary":"Edit Resolution","description":"Edit new Resolution","operationId":"resolutionEdit","parameters":[{"name":"resolutionId","in":"path","description":"The Resolution ID to Edit","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["resolution","width","height"],"properties":{"resolution":{"description":"A name for the Resolution","type":"string"},"width":{"description":"The Display Width of the Resolution","type":"integer"},"height":{"description":"The Display Height of the Resolution","type":"integer"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resolution"}}}}}}}},"components":{"schemas":{"Resolution":{"description":"Class Resolution","properties":{"resolutionId":{"description":"The ID of this Resolution","type":"integer"},"resolution":{"description":"The resolution name","type":"string"},"width":{"description":"The display width of the resolution","type":"number","format":"double"},"height":{"description":"The display height of the resolution","type":"number","format":"double"},"designerWidth":{"description":"The designer width of the resolution","type":"number","format":"double"},"designerHeight":{"description":"The designer height of the resolution","type":"number","format":"double"},"version":{"description":"The layout schema version","type":"integer"},"enabled":{"description":"A flag indicating whether this resolution is enabled or not","type":"integer"},"userId":{"description":"The userId who owns this Resolution","type":"integer"}},"type":"object"}}}}
```

## Delete Resolution

> Delete Resolution

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"resolution","description":"Resolutions"}],"servers":[{"url":"/api"}],"paths":{"/resolution/{resolutionId}":{"delete":{"tags":["resolution"],"summary":"Delete Resolution","description":"Delete Resolution","operationId":"resolutionDelete","parameters":[{"name":"resolutionId","in":"path","description":"The Resolution ID to Delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"successful operation"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/resolution.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
